cancel
Showing results for 
Search instead for 
Did you mean: 

Deployment Error "ABAP language version is not supported for objecttype WAPA."

Fabian_J
Newcomer
0 Kudos

Hello everyone,

I am currently doing the tutorial Create a SAP Fiori App and Deploy it to SAP S/4HANA Cloud, ABAP Environment | SAP Tutorials and am stuck on the deployment of my app. However, the test deployment worked. I get the error message: "ABAP language version is not supported for objecttype WAPA."

Consequently, I wanted to change the default ABAP language version in Eclipse via General Data. However, only ABAP for Cloud Development is displayed.

default-abap-language.png

What do I have to change to be able to display and select the other languages, as shown here: 

cap1.png

Source: https://community.sap.com/t5/enterprise-resource-planning-q-a/sap-s4hana-cloud-restrict-users-change...

Does anyone have a solution for me?

Thanks in advance.

View Entire Topic
kaidehmann
Product and Topic Expert
Product and Topic Expert
0 Kudos

Hi @Fabian_J,

I guess that software component ZLOCAL is set up for ABAP for Cloud Development (https://help.sap.com/docs/ABAP_PLATFORM_NEW/b5670aaaa2364a29935f40b16499972d/8da870021323498db15a1c5...). In that case, you cannot choose a different language version.

Are you testing against an S/4HANA Cloud, public edition system? In that case, the tutorial can be used.

Or are you testing against S/4HANA or S/4HANA Cloud, private edition? In that case:

Best regards
Kai